### Property

# GtkSource SearchSettings:search-text

#### Declaration

    property search-text: utf8 [ read, write, construct ]

#### Description [src]

A search string, or `NULL` if the search is disabled.

If the regular expression search is enabled, `GtkSourceSearchSettings:search-text` is the pattern.

Type:`gchar*`

Default value | NULL
Getter method | `gtk_source_search_settings_get_search_text()`
Setter method | `gtk_source_search_settings_set_search_text()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no